
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用node.js中的Buffer类处理二进制数据的方法_node.js / iVAN</title>

    <meta name="description" content="使用node.js中的Buffer类处理二进制数据的方法_node.js 前言 在Node.js中,定义了一个Buffer类,该类用来创建一个专门存放二进制数据的缓存区.这篇文章就详细介绍了node.js中的Buffer类处理二进制数据的方法,下面话不多说,来看看详细的介绍. 创建Buffer对象 第一种:直接使用一个数组来初始化缓存区 var arr = [0,1,2] var buf = new Buffer(arr) console.log(buf) 执行效果: 第二种:直接使用一个字符串来初始化缓存区 var str = 'hello' var buf = n">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用node.js中的Buffer类处理二进制数据的方法_node.js</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>在Node.js中，定义了一个Buffer类，该类用来创建一个专门存放二进制数据的缓存区。这篇文章就详细介绍了node.js中的Buffer类处理二进制数据的方法，下面话不多说，来看看详细的介绍。</p>
<p><strong>创建Buffer对象</strong></p>
<p><strong>第一种：直接使用一个数组来初始化缓存区</strong></p>
<pre>
var arr = [0,1,2]
var buf = new Buffer(arr)
console.log(buf)</pre>
<p>执行效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkwNjM1MDY4LnBuZw==.jpg"></p>
<p><strong>第二种：直接使用一个字符串来初始化缓存区</strong></p>
<pre>
var str = 'hello'
var buf = new Buffer(str)
console.log(buf)</pre>
<p>执行效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkwNzMxNzUzLnBuZw==.jpg"></p>
<p>在Node.js中，将自动执行字符串的输入输出时的编码与解码处理，默认使用UTF8编码。</p>
<p><strong>Buffer对象与字符串对象之间的相互转换</strong></p>
<p><strong>（1）toString<br /></strong></p>
<p>可以使用Buffer对象的toString方法将Buffer对象中保存的数据转换为字符串，使用方法如下：</p>
<pre>
buf.toString([encoding],[start],[end])</pre>
<p>可选参数1：用于指定Buffer对象中保存的文字编码格式，默认参数为UTF8。</p>
<p>可选参数2：指定被转换数据的起始位置，以字节为单位。</p>
<p>可选参数3：指定被转换数据的终止位置，以字节为单位。</p>
<p>示例代码如下：</p>
<pre>
var buf = new Buffer('阁下何不随风起')
console.log(buf)
console.log(buf.toString('utf8',9,12))
console.log(buf.toString('utf8',12,buf.length))</pre>
<p>效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkwODQwNzcwLnBuZw==.jpg"></p>
<p>控制台</p>
<p><strong>（2）write</strong></p>
<p>有时我们需要向已经创建的Buffer对象写入字符串，这时可以使用该Buffer对象的write方法。</p>
<pre>
buf.write(string,[offset],[length],[encodign])</pre>
<p>必须参数1：指定需要写入的字符串</p>
<p>可选参数2-3：指定字符串转换为字节数据后的写入位置，字节数据的书写位置为从第1+offset个字节开始到offset+length个字节为止。</p>
<p>可选参数4：编码格式，默认utf8</p>
<p>代码如下：</p>
<pre>
var buf = new Buffer('阁下何不随风起')
buf.write('扶摇直上千万里',0,buf.length)
console.log(buf.toString())</pre>
<p>运行效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkwOTM3NTcwLnBuZw==.jpg"><br />
控制台</p>
<p><strong>（3）StringDecoder对象</strong></p>
<p>在Node.js中，也可以使用StringDecoder对象将Buffer对象中的数据转换为字符串，该对象的作用与Buffer对象的toString方法的作用相同，但是对于utf8编码格式的字符串提供了更好的支持。</p>
<p>在使用StringDecoder对象时，首先需要加载Node.js中的string_decoder模块，方法如下：</p>
<pre>
var StringDecoder = require('string_decoder').StringDecoder</pre>
<p>在加载了string_decoder模块后，可以创建一个StringDecoder对象，方法如下：</p>
<pre>
var decoder = new StringDecoder([encoding])</pre>
<p>在需要将Buffer对象中的数据转换为字符串时，可以使用StringDecoder对象的write方法，write方法中可以使用一个参数，用于指定需要被转换的Buffer对象，该方法会返回转换后的字符串，代码如下：</p>
<pre>
decoder.write(buffer)</pre>
<p>好，来对比一下Buffer对象的toString方法和StringDecoder的write方法究竟谁对utf8支持的更好。</p>
<p>Buffer的toString方法如下：</p>
<pre>
//在UTF-8编码格式下,将1个文字转换为多个字节
var buf = new Buffer('阁下何不随风起')
console.log(buf)

//0x是我手动加的
var str1 = new Buffer([0xe9, 0x98, 0x81, 0xe4, 0xb8, 0x8b, 0xe4, 0xbd])
console.log(str1.toString())

var str2 = new Buffer([0x95, 0xe4, 0xb8, 0x8d, 0xe9, 0x9a, 0x8f, 0xe9, 0xa3, 0x8e, 0xe8, 0xb5, 0xb7])
console.log(str2.toString())</pre>
<p>运行效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkxMDU4MjMxLnBuZw==.jpg"><br />
控制台</p>
<p>当然，也可以用如下方法将两个buffer对象连接起来后再使用toString方法将其中的数据转换为字符串，但是当Buffer对象的长度较大时，这种操作的性能将会变得比较地下。</p>
<pre>
Buffer.concat([str1,str2]).toString()</pre>
<p>StringDecoder的write方法如下：</p>
<pre>
//在UTF-8编码格式下,将1个文字转换为多个字节
var buf = new Buffer('阁下何不随风起')
console.log(buf)

//StringDecoder
var StringDecoder = require('string_decoder').StringDecoder
var decoder = new StringDecoder()

//0x是我手动加的
var str1 = new Buffer([0xe9, 0x98, 0x81, 0xe4, 0xb8, 0x8b, 0xe4, 0xbd])
console.log(decoder.write(str1))

var str2 = new Buffer([0x95, 0xe4, 0xb8, 0x8d, 0xe9, 0x9a, 0x8f, 0xe9, 0xa3, 0x8e, 0xe8, 0xb5, 0xb7])
console.log(decoder.write(str2))</pre>
<p>运行效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkxMzQyMTU3LnBuZw==.jpg"><br />
控制台</p>
<p>谁支持的更好一眼就可以看出来了。</p>
<p><strong>Buffer对象与JSON对象之间的相互转换</strong></p>
<p>在Node.js中，可以使用JSON.stringify方法将Buffer对象中保存的数据转换为一个字符串，也可以使用JSON.parse方法将一个经过转换后的字符串还原为一个数组。</p>
<p><strong>复制缓存数据</strong></p>
<p>当需要将Buffer对象中保存的二进制数据复制到另一个Buffer对象中时，可以使用Buffer对象的copy方法，copy方法的使用方法如下：</p>
<pre>
buf.copy(targetBuffer,[targetStart],[sourceStart],[sourceEnd])</pre>
<p>必须参数1：指定复制的目标Buffer对象</p>
<p>可选参数2：指定目标Buffer对象中从第几个字节开始写入数据</p>
<p>可选参数3：指定从复制源Buffer对象中获取数据时的开始位置，默认0</p>
<p>可选参数4：指定从复制源Buffer对象中获取数据时的结束位置，默认值为复制源对象的长度</p>
<p>示例代码如下：</p>
<pre>
//目标:将buf1 Buffer对象中的内容复制到buf2 Buffer对象中
//复制的目标起始位置为buf2 Buffer对象中的第11个字节处(第11个字节出开始写入)
var buf1 = new Buffer('阁下何不随风起')
console.log(buf1)
var buf2 = new Buffer(128)
buf2.fill(0)
console.log(buf2)

//关键代码
buf1.copy(buf2,10)

//输出复制后的buf2
console.log(buf2)

//以字符串的形式打印buf2
var StringDecoder = require('string_decoder').StringDecoder
var decoder = new StringDecoder()
console.log(decoder.write(buf2))</pre>
<p>运行效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkxNDUzMDg1LnBuZw==.jpg"><br />
控制台</p>
<p><strong>Buffer类的类方法</strong></p>
<p>（1）isBuffer方法</p>
<p>用于判断一个对象是否为一个Buffer对象，使用方法如下：</p>
<pre>
Buffer.isBuffer(objc)</pre>
<p>示例代码如下：</p>
<pre>
var a = 'abcde'
var b = new Buffer(10)

console.log(typeof a)
console.log(typeof b)
console.log('---我是奇妙的分隔符----')
console.log(Buffer.isBuffer(a))
console.log(Buffer.isBuffer(b))</pre>
<p>运行结果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkxNTQ2Nzc5LnBuZw==.jpg"><br />
控制台</p>
<p><strong>（2）byteLength方法</strong></p>
<p>可以使用ByteLength方法计算一个指定字符串的字节数，使用方法如下：</p>
<pre>
Buffer.byteLength(string,[encoding])</pre>
<p>必须参数1：指定需要计算字节数的字符串</p>
<p>可选参数2：编码格式，默认utf8</p>
<p>示例代码如下：</p>
<pre>
var str = '阁下何不随风起'
console.log(str.length)
console.log(Buffer.byteLength(str,'utf8'))
console.log(Buffer.byteLength(str,'base64'))
console.log(Buffer.byteLength(str,'utf16le'))</pre>
<p>运行结果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkxNjUwMzM4LnBuZw==.jpg"><br />
控制台</p>
<p><strong>（3）isEncoding方法</strong></p>
<p>isEncoding方法用于检测一个字符串是否为一个有效的编码格式字符串。使用方法如下：</p>
<pre>
Buffer.isEncoding(encoding)</pre>
<p>在isEncoding方法中，使用一个参数，用于指定需要被检测的字符串，如果该字符串为有效的编码格式字符串，则方法返回true，如果该字符串不是一个有效的编码格式字符串，则方法返回false。</p>
<p>示例代码如下：</p>
<pre>
var str1 = 'utf8'
console.log(Buffer.isEncoding(str1))
var str2 = 'utf16le'
console.log(Buffer.isEncoding(str2))
var str3= 'utf16e'
console.log(Buffer.isEncoding(str3))</pre>
<p>运行效果如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTEyNjkxNzM2MTAwLnBuZw==.jpg"><br />
控制台</p>
<p>总结</p>
<p>以上就是这篇文章的全部内容了，希望本文的内容对大家的学习或者工作能带来一定的帮助，如果有疑问大家可以留言交流。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索nodejs<br />
                    ，                base64<br />
                    ，                buffer<br />
                                    nodejs二进制<br />
                                    nodejs buffer 二进制、js buffer 二进制、nodejs buffer、nodejs buffer 拼接、nodejs stream buffer，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 01:23:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/nodejs/" title="nodejs">nodejs</a>, <a href="https://www.iamivan.net/tag/buffer/" title="buffer">buffer</a>, <a href="https://www.iamivan.net/tag/base64/" title="base64">base64</a>, <a href="https://www.iamivan.net/tag/nodejs%e4%ba%8c%e8%bf%9b%e5%88%b6/" title="nodejs二进制">nodejs二进制</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用node.js中的Buffer类处理二进制数据的方法_node.js的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2VBx4b.html" rel="bookmark">Node&period;js中防止错误导致的进程阻塞的方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Node.js中,当某个回调函数发生了错误,整个进程都会崩溃,影响后面的代码执行. Node.js这样处理,是因为在发生未被捕获的错误时,进程的状态就不确定.之后也就无法正常工作了.如果错误始终不处理的话,就回一直抛出意料之外的错误,这样不利于调试. 防止错误导致的进程阻塞的方法主要有如下两种: 一. try-catch try-catch允许进行异常捕获,并让代码继续执行下去: 例如: 当函数抛出错误时,代码就停止执行了: (function() { var a = 0; a(); cons			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GENop.html" rel="bookmark">Node&period;js中使用Buffer编码、解码二进制数据详解&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript很擅长处理字符串,但是因为它最初的设计是用来处理HTML文档,因此它并不太擅长处理二进制数据.JavaScript没有byte类型,没有结构化的类型(structured types),甚至没有字节数组,只有数字和字符串.(原文:JavaScript doesn't have a byte type - it just has numbers - or structured types, or http://skylitecellars.com/ even byte arra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKJmvz.html" rel="bookmark">Node&period;js中使用socket创建私聊和公聊聊天室&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家展示效果图: 在上篇文章给大家介绍使用Angular和Nodejs.socket.io搭建聊天室及多人聊天室,本文继续介绍Node.js中使用socket创建私聊和公聊聊天室,具体详情请看下文吧. nodejs的应用中,关于socket应该是比较出彩的了,socket.io在github上有几万人的star,它的成功应该是不输于express的,为了方便了解整个socket.io的使用. 例子请点击http://chat.lovewebgames.com/ 源码下载https://git			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjq476z.html" rel="bookmark">node&period;js中module&period;exports与exports用法上的区别&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Node.js 引入了模块(Module)概念,一个模块可以通过module.exports 或 exports 将函数.变量等导出,以使其它 JavaScript 脚本通过require() 函数引入并使用. module.exports 初始值为一个空对象 {},所以 exports 初始值也是 {},exports 是指向的 module.exports 的引用,在模块内部大概是这样: exports = module.exports = {}; 举个栗子,在node.js中创建模块非常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mynl34p.html" rel="bookmark">Node&period;js读写文件之批量替换图片的实现方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题:文件夹A中有大量图片文件,需要用另外一个图片替换掉A中图片,但是命名保持不变. 手工的做法如下: 1)浏览器打开图片-&gt;2)另存为-&gt;3)目标文件夹-&gt;4)找到一个图片-&gt;5)替换-&gt;6)确定 然后,重复步骤2)和之后的步骤.不小心会漏掉或重复. 这么麻烦,使用node.js来处理改如何呢?代码如下: var fs=require('fs'), cp=require('child_process'); var url='Moriarty.jpg' var rs=fs.r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8RJOPb.html" rel="bookmark">Node&period;js项目中调用JavaScript的EJS模板库的方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为外部模块,调用的方法和mysql模块是相同的,不再赘述. ejs的render函数有两个参数 第一个是字符串,第二个是可选的对象,和其他javascript模版一样需要渲染的数据也是包含在option对象中的 ejs.render(str,option); // 渲染字符串 str 一般是通过nodejs文件系统的readfile方法读取 ejs.render(str,{ data : user_data // 需要渲染的数据 }); 当str字符串中没有包含 include 标签时,渲染数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmm0Az.html" rel="bookmark">Node&period;js抓取中文网页乱码问题和解决方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Node.js 抓取非 utf-8 的中文网页时会出现乱码问题,比如网易的首页编码是 gb2312,抓取时会出现乱码 复制代码 代码如下: var request = require('request')  var url = 'http://www.163.com' request(url, function (err, res, body) {      console.log(body) }) 可以使用 iconv-lite 来解决 安装 复制代码 代码如下: npm install ic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6nDqM.html" rel="bookmark">node&period;js版本管理工具n无效的原理和解决方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 n 是 node 的一个模块,可以用它来管理 node 的各种版本.类似 Python 中的 pyenv 和 Ruby 的 rbenv.n 的作者是著名的TJ大神. 通过 npm 安装 n: $ npm install -g n 查看当前 node 版本: $ node -v v4.2.4 通过 n 安装指定版本: $ n 4.4.4 install : node-v4.4.4 mkdir : /opt/node/n/versions/node/4.4.4 fetch : https://			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQarEz.html" rel="bookmark">node&period;js请求HTTPS报错：UNABLE&lowbar;TO&lowbar;VERIFY&lowbar;LEAF&lowbar;SIGNATURE&bsol;的解决方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				发现错误 最近在用Nodejs发送https请求时候,出现\&quot;Error: UNABLE_TO_VERIFY_LEAF_SIGNATURE\&quot;的错误,错误如下: events.js:72 throw er; // Unhandled \'error\' event ^ Error: UNABLE_TO_VERIFY_LEAF_SIGNATURE at SecurePair. (tls.js:1381:32) at SecurePair.emit (events.js:92:17) at			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKr4dz.html" rel="bookmark" class="title">通过 ASP 记录进行分页</a>
					<div>
						分页 通过 ASP 记录进行分页 J.D. Meier 目录 --------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEvEnM.html" rel="bookmark" class="title">OnMouseEvent事件详解</a>
					<div>
						详解 本站原创,转载请注明出处 今天给大家介绍一下OnMouseEvent事件 OnMouseEvent事件,是我们用Flash做作品时只要是在Button(按钮成员)上设指令,就一定会自动产生On( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rm1dp.html" rel="bookmark" class="title">ASP&period;NET缓存分析</a>
					<div>
						说到ASP.NET缓存,那就是:尽早缓存:经常缓存您应该在应用程序的每一层都实现缓存.向数据层.业务逻辑层.UI 或输出层添加缓存支持.内存现在非常便宜 - 因此,通过以智能的方式在整个应用程序中实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1dlyb.html" rel="bookmark" class="title">win7 旗舰版WMP播放器历史记录怎样删除</a>
					<div>
						  win7纯净版64位下载使用过程中我们会发现,WMP播放器在使用过程中还是会遇到一些麻烦的,比如怎样删除历史记录就是其中最大的麻烦,但是我们在这里说一些简单的应对措施希望能在一定程度上解决不少麻烦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLayQAz.html" rel="bookmark" class="title">修改BIOS基本原理教程</a>
					<div>
						  1.修改logo画面   很好理解,logo的图片文件肯定是在bios里面,压缩过或者未压缩,而这一切的实现都是BIOS的厂商(AMI, Phoenix, Insyde,Dell...)来实现的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj4RVp.html" rel="bookmark" class="title">一个农夫的故事</a>
					<div>
						   一个农夫进城卖驴和山羊.山羊的脖子上系着一个小铃铛.三个小偷看见了,一个小偷说:&quot;我去偷羊,叫农夫发现不了.&quot;另一个小偷说:&quot;我要从农夫手里把驴偷走.&quot;第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q6A8p.html" rel="bookmark" class="title">BMW参与的开源汽车系统webinos</a>
					<div>
						除了PC.智慧型手机和平板电脑外,汽车也是我们经常接触的屏幕,像BMW般的高级汽车厂,也不得不开始引进流动上网的技术,是以BMW在不久前正式参加了由欧盟资助的webinos计划,目的是将最新的流动网路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWQo6p.html" rel="bookmark" class="title">为现代 JavaScript 开发做好准备</a>
					<div>
						今天无论是在浏览器中还是在浏览器外,JavaScript世界正在经历翻天覆地地变化.如果我们谈论脚本加载.客户端的MVC框架.压缩器.AMD.Common.js还有Coffeescript--只会让你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3ZjJz.html" rel="bookmark" class="title">获取Xml中指定子节点值</a>
					<div>
						待处理的Xml文件: &lt;?xml version=&quot;1.0&quot; encoding='UTF-8'?&gt; &lt;ufinterface billtype=&quot;gl& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEQ7op.html" rel="bookmark" class="title">阿里云配置tomcat无法访问的原因和解决（无需关闭防火墙）</a>
					<div>
						打开云服务器的安全组策略,开启外部对8080端口的访问即可.关闭防火墙是极其危险的做法. 选择添加安全组策略,按照以下配置添加以后.8080端口就可以通过公网ip访问. 允许公网通过 HTTP.HTT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Dd8z.html" rel="bookmark" class="title">构件</a>
					<div>
						构件是系统中实际存在的可更换部分,它实现特定的功能,符合一套接口标准并实现一组接口.构件代表系统中的一部分物理实施,包括软件代码(源代码.二进制代码或可执行代码)或其等价物(如脚本或命令文件).在图中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze61gAb.html" rel="bookmark" class="title">c语言-acm关于图的问题，C语言，谢谢！</a>
					<div>
						问题描述 acm关于图的问题,C语言,谢谢! [题目描述] 最近pdf又突发奇想,想再出去旅游一次.出去旅游之前当然要好好计划一番.Pdf给自己想去的地方并给它们编好了号(起点为1).为了不跟自己过不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr7qWM.html" rel="bookmark" class="title">web service问题</a>
					<div>
						问题描述 有一接口调用如下:SOAP接口说明http://jwxt.hnu.cn/webservices/4a/rms.wsdl2.&lt;soapenv:Envelopexmlns:soapenv= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRAAap.html" rel="bookmark" class="title">Ogre&colon;Hardwarebuffer</a>
					<div>
						      Ogre中的硬件缓存是指在显卡上的存储,这和在内存上的存储一样是可以访问的.有三种硬件缓存:HardwareVertexBuffer(顶点缓存,存储顶点的各种数据).HardwareInd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rBVdp.html" rel="bookmark" class="title">请给我一份ssh框架（maven项目）的源代码</a>
					<div>
						问题描述 请给我一份ssh框架(maven项目)的源代码 请各位谁能给我一份struts2+spring+hibernate框架的maven源代码. 解决方案 https://github.com/C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRLamb.html" rel="bookmark" class="title">Python源码理解&colon; &plus;&equals;和 xx &equals; xx &plus; xx的区别</a>
					<div>
						前菜 在我们使用Python的过程, 很多时候会用到 + 运算, 例如: a = 1 + 2    print a    # 输出    3   不光在加法中使用, 在字符串的拼接也同样发挥这重要的作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0OYnM.html" rel="bookmark" class="title">好PaaS才产好SaaS：环信已具备差异化竞争优势</a>
					<div>
						原本,云计算是一个层次化清晰的架构,SaaS.PaaS和IaaS只是在基础设施层面环环相扣,却在业务层面井水不犯河水.而现在,层次化的架构规定似乎在变得越来越模糊,尤其是PaaS与SaaS之间.当一家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmoexM.html" rel="bookmark" class="title">&amp;lt&semi;转载&amp;gt&semi;什么是 Containerd</a>
					<div>
						我们过去曾就 containerd 的不同特点.它是如何设计的.以及我们在此过程中所解决的一些问题进行过几次讨论. Containerd 已经被 Docker.Kubernetes CRI 和其他一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94B6gb.html" rel="bookmark" class="title">设计模式：原型模式（Prototype）</a>
					<div>
						 原型模式:用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象.  举个例子: 1 原型(实际上是implements了Cloneable接口,进而重写clone()方法) public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke8LOb.html" rel="bookmark" class="title">如何选择淘宝客API程序</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 淘宝客API程序,安装和修改都很简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqoLVb.html" rel="bookmark" class="title">《Adobe Illustrator CC 2014中文版经典教程（彩色版）》&mdash;第1课0&period;5节使用颜色</a>
					<div>
						0.5 使用颜色 Adobe Illustrator CC 2014中文版经典教程(彩色版) 对作品着色是Illustrator中的常见操作.通过使用颜色面板.色板.颜色参考面板和&quot;重新着色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkyB0M.html" rel="bookmark" class="title">&lbrack;extjs4&period;1&rsqb;有大神在么求教如何修改饼图其中一块的背景</a>
					<div>
						问题描述 [extjs4.1]有大神在么求教如何修改饼图其中一块的背景 有大神在么求教如何修改饼图其中一块的背景 求救啊,,,,,, 解决方案 参数里面不是有颜色参数,传入数值的时候,可以颜色参数一起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JgQwz.html" rel="bookmark" class="title">iOS中 轮播图放哪最合适&quest; 技术分享</a>
					<div>
						我们知道,轮播图放在cell或collectionViewCell上会影响用户层级交互事件,并且实现起来比较麻烦,现在推出一个技术点:答题思路是:将UIScrollView放在UIView或UICol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12G8xp.html" rel="bookmark" class="title">高性能实惠促销  图腾AD&period;6042促销仅2800元</a>
					<div>
						[天极网服务器频道3月19日消息]图腾AD.6042http://www.aliyun.com/zixun/aggregation/32313.html&quot;&gt;外观设计(专利)高贵典雅,工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOmX7b.html" rel="bookmark" class="title">JQuery 1&period;6发布 性能提升，同时包含大量破坏性变更&lowbar;jquery</a>
					<div>
						新版本中的部分重要改进: attr().val()和data()方法有了更好的性能: 在attr()方法中支持Boolean属性: 添加了钩子函数,允许对attr()和val()方法进行扩展: map ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GBQAp.html" rel="bookmark" class="title">网挣的最高境界</a>
					<div>
						赚的最高境界是什么?其实,这个没有一个确切的答案,仁者见仁,智者见智,我认为,能够做到轻轻松松,躺在床上,财源滚滚而来,这应该算是网赚的最高境界吧! 今天上admin5闲逛,看到了一篇文章叫做&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEa7Oz.html" rel="bookmark" class="title">用JSP实现SQL Server的数据备份和恢复，该如何写？</a>
					<div>
						问题描述 如题,用Java实现对sqlserver的数据库进行备份和还原,应该怎样写呢,请各位大虾给出代码示例多谢多谢.如果我还想对这个数据库进行压缩和解压,成Winrar的形式,要用到算法吗? 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdv0qdb.html" rel="bookmark" class="title">铁道部被指忽视信息化建设：后台技术遭质疑</a>
					<div>
						原标题:铁道部3.3亿招标背后:12306如何才能不&quot;瘫痪&quot; [ 在IT软件系统投入上,铁道部相对运营商的百亿投入已经很低,一条高铁投入2000亿,一个客票系统投入3亿,长期以来忽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GvR3M.html" rel="bookmark" class="title">tomcat-ecplise无法将java项目或者android项目或者java文件导出为war包啊</a>
					<div>
						问题描述 ecplise无法将java项目或者android项目或者java文件导出为war包啊 ecplise无法将java项目或者android项目或者java文件导出为war包啊 我想部署到to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXRaKz.html" rel="bookmark" class="title">千万提货券 &OpenCurlyDoubleQuote;预约&rdquo;幸福</a>
					<div>
						以前商场总是在产品上做文章,超低价.特价品,干巴巴地送出去,消费者不能感觉任何温情.欧亚达将家居产品赋予一种&quot;幸福&quot;内涵,让消费者买家居产品的过程就是增强幸福感的过程.&quot; ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
